Мазмұнға өту

Isaac 0.1

Интеграциялау

Модель идентификаторы perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: ≈0,001 $ 1 API кредиті Осы бетте іске қосу

API кілтін алу
Perceptron Компьютерлік көру #multimodal#vision

Кескін туралы мәтін, жақтау, нүкте немесе көпбұрыш түрінде жауап беретін көру-тіл моделі

Perceptron · Мәтін

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті

Кескінге қолданылған нұсқау.

•міндетті image_url
Файлды тастаңыз немесе

Өңдеуге арналған кескінді анықтайтын URL.

Қосымша response_style
response_style әдепкі text

Кескін жауабының пішімін таңдаңыз: барлық режим мәтінді қамтиды, box шектеу жақтауларын, point нүктелерді, polygon көпбұрыштарды қосады; тек text мәтінді қайтарады. Егжей-тегжейлі сегментация үшін polygon, ал орналасуды анықтау үшін box қолданыңыз. Сипаттамалар мен субтитрлер үшін text, көптеген нысанды санау үшін point қолданыңыз.

POST /run/perceptron/isaac-01?wait=20 бағасы → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Isaac 0.1 туралы

`image_url` және `prompt` қабылдап, `response_style` параметрі белгілеген пішімде жауап қайтарады. мәтін сипаттамаларға, ал box, point және polygon стильдері локализация шығысына қолайлы. Нәтижеде генерацияланған шығыс, ішінара шығыс жалаушасы, болса қате хабары және пайдалану ақпараты бар.

Параметрлер

Канондық атауды немесе төл атауды жіберіңіз, екеуін қатар жібермеңіз. Канондық атаулар

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
image_urlміндетті image
Түріurl · image
Өңдеуге арналған кескінді анықтайтын URL.
promptміндетті
Түріstring
Кескінге қолданылған нұсқау.
response_styleміндетті емес
Түріenum
Әдепкіtext
textboxpointpolygon
Кескін жауабының пішімін таңдаңыз: барлық режим мәтінді қамтиды, box шектеу жақтауларын, point нүктелерді, polygon көпбұрыштарды қосады; тек text мәтінді қайтарады. Егжей-тегжейлі сегментация үшін polygon, ал орналасуды анықтау үшін box қолданыңыз. Сипаттамалар мен субтитрлер үшін text, көптеген нысанды санау үшін point қолданыңыз.
міндетті Канондық атау, бұл да қабылданады

Файл параметрлері жалпыға қолжетімді https:// URL мекенжайын, 10 MB-қа дейінгі data: URI мекенжайын немесе жүктеп салынған файлдың file_url мәнін қабылдайды. Файлдар

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
output
stringМодель жасаған нәтиже.
partial
booleanШығыстың толық емес екенін көрсетеді.
error
string | nullҚате орын алса, қатені сипаттайтын хабар.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullПайдалану мәліметтері.

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/perceptron/isaac-01.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt